FreeMat

- Main Page
- Related Pages

vtkImageDotProduct

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageDotProduct interprets the scalar components of two images as vectors and takes the dot product vector by vector (pixel by pixel).

To create an instance of class vtkImageDotProduct, simply invoke its constructor as follows

      obj = vtkImageDotProduct

# Methods

The class vtkImageDotProduct has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageDotProduct class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageDotProduct = obj.NewInstance ()`
- `vtkImageDotProduct = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput1 (vtkDataObject in)` - Set the two inputs to this filter
- `obj.SetInput2 (vtkDataObject in)`